[android-components](../index.md) / [mozilla.components.feature.intent.ext](index.md) / [putSessionId](./put-session-id.md)

# putSessionId

`fun <ERROR CLASS>.putSessionId(sessionId: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`?): <ERROR CLASS>` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/intent/src/main/java/mozilla/components/feature/intent/ext/IntentExtensions.kt#L38)

Add [mozilla.components.browser.session.Session](../mozilla.components.browser.session/-session/index.md) ID to the intent.

### Parameters

`sessionId` - The session ID data value.

**Return**
Returns the same Intent object, for chaining multiple calls
into a single statement.

**See Also**

[getSessionId](get-session-id.md)

